package com.goomood.phm.domain;

import com.goomood.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.goomood.common.annotation.Excel;

/**
 * 技术资料对象 tech_data
 * 
 * @author goomood
 * @date 2024-11-16
 */
public class TechData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 类型id */
    @Excel(name = "类型id")
    private Long typeId;

    /** 标题 */
    @Excel(name = "标题")
    private String dataTitle;

    /** 作者 */
    @Excel(name = "作者")
    private String dataAuthor;

    /** 关键字 */
    @Excel(name = "关键字")
    private String dataKeyword;

    /** 机型 */
    @Excel(name = "机型")
    private String dataModel;

    /** 系统 */
    @Excel(name = "系统")
    private String dataSys;

    /** 专业id */
    @Excel(name = "专业")
    private String dataSpeciality;

    /** $column.columnComment */
    private String filePath;

    /** 文章数量 */
    @Excel(name = "文章数量")
    private Long dataNum;

    /** 描述 */
    private String dataDescription;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTypeId(Long typeId) 
    {
        this.typeId = typeId;
    }

    public Long getTypeId() 
    {
        return typeId;
    }
    public void setDataTitle(String dataTitle) 
    {
        this.dataTitle = dataTitle;
    }

    public String getDataTitle() 
    {
        return dataTitle;
    }
    public void setDataAuthor(String dataAuthor) 
    {
        this.dataAuthor = dataAuthor;
    }

    public String getDataAuthor() 
    {
        return dataAuthor;
    }
    public void setDataKeyword(String dataKeyword) 
    {
        this.dataKeyword = dataKeyword;
    }

    public String getDataKeyword() 
    {
        return dataKeyword;
    }
    public void setDataModel(String dataModel) 
    {
        this.dataModel = dataModel;
    }

    public String getDataModel() 
    {
        return dataModel;
    }
    public void setDataSys(String dataSys) 
    {
        this.dataSys = dataSys;
    }

    public String getDataSys() 
    {
        return dataSys;
    }

    public String getDataSpeciality() {
        return dataSpeciality;
    }

    public void setDataSpeciality(String dataSpeciality) {
        this.dataSpeciality = dataSpeciality;
    }

    public void setFilePath(String filePath)
    {
        this.filePath = filePath;
    }

    public String getFilePath() 
    {
        return filePath;
    }
    public void setDataNum(Long dataNum) 
    {
        this.dataNum = dataNum;
    }

    public Long getDataNum() 
    {
        return dataNum;
    }
    public void setDataDescription(String dataDescription) 
    {
        this.dataDescription = dataDescription;
    }

    public String getDataDescription() 
    {
        return dataDescription;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("typeId", getTypeId())
            .append("dataTitle", getDataTitle())
            .append("dataAuthor", getDataAuthor())
            .append("dataKeyword", getDataKeyword())
            .append("dataModel", getDataModel())
            .append("dataSys", getDataSys())
            .append("dataSpeciality", getDataSpeciality())
            .append("filePath", getFilePath())
            .append("dataNum", getDataNum())
            .append("dataDescription", getDataDescription())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
